Skip to main content
GET
/
api
/
v2
/
network
/
affiliates
/
{id}
Get affiliate
curl --request GET \
  --url https://{domain}/api/v2/network/affiliates/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/network/affiliates/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/network/affiliates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "affiliate": {
      "id": 123,
      "external_id": "<string>",
      "trafficback_url": "<string>",
      "email": "<string>",
      "firstname": "<string>",
      "lastname": "<string>",
      "auth_key": "<string>",
      "access_token": "<string>",
      "expiration_time": "<string>",
      "contacts": "<string>",
      "custom_fields": "<string>",
      "account_type": 123,
      "account_balance": "<string>",
      "company_name": "<string>",
      "website_url": "<string>",
      "phone": "<string>",
      "image": "<string>",
      "notes": "<string>",
      "internal_notes": "<string>",
      "payment_methods": "<string>",
      "payment_details": "<string>",
      "status": 123,
      "api_status": 123,
      "api_key": "<string>",
      "country": 123,
      "region": "<string>",
      "city": "<string>",
      "address": "<string>",
      "postal_code": "<string>",
      "tags": "<string>",
      "traffic_types": "<string>",
      "ip": "<string>",
      "referred_by": 123,
      "referral_commission": "<string>",
      "number_format_id": 123,
      "date_format_id": 123,
      "timezone": "<string>",
      "block_traffic": 123,
      "payout_approved": "<string>",
      "payout_pending": "<string>",
      "conversions": 123,
      "email_notifications": 123,
      "email_mailroom": 123,
      "invoice_type": 123,
      "invoice_frequency": 123,
      "invoice_days_of_the_month": "<string>",
      "invoice_day_of_the_week": "<string>",
      "generate_invoice_automatically": 123,
      "payment_terms": 123,
      "beneficiary_name": "<string>",
      "beneficiary_address": "<string>",
      "billing_email": "<string>",
      "tax_id": "<string>",
      "vat": 123,
      "pending_balance": "<string>",
      "approved_balance": "<string>",
      "referral_balance": "<string>",
      "balance_due": "<string>",
      "invoice_number_counter": 123,
      "antifraud_logic_score": 123,
      "created": 123,
      "updated": 123,
      "visited": 123,
      "activity": 123,
      "twoFA_enabled": 123,
      "registration": "<string>",
      "traffic_types_selected": "<string>",
      "tags_selected": "<string>",
      "managers_assigned": "<string>",
      "country_selected": "<string>",
      "referral_sponsor_info": "<string>",
      "referrals_info": "<string>",
      "postbacks_count": 123,
      "sources_count": 123,
      "domains_count": 123,
      "utm_source": "<string>",
      "utm_medium": "<string>",
      "utm_campaign": "<string>",
      "utm_term": "<string>",
      "utm_content": "<string>",
      "multi_accounts": {
        "ip": [
          {}
        ],
        "payment_method": [
          {}
        ],
        "global_postback": [
          {}
        ]
      },
      "tier": {
        "id": 123,
        "title": "<string>",
        "color": "<string>",
        "isDefault": true
      },
      "commission_plans": [
        {}
      ],
      "can_see_gaming_kpis": 123,
      "can_see_trading_kpis": 123,
      "can_access_players": 123,
      "can_access_traders": 123,
      "enable_master": 123
    }
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Path Parameters

id
integer
required

Affiliate ID.

Response

Affiliate details.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object